Subject: Re: bug#15029: 24.3; feature-request: add window-focus-lost-hook

From: Richard Stallman <[email-masked]>
Date: Thu, 08 Aug 2013 22:38:15 -0400

[ To any NSA and FBI agents reading my email: please consider
        [ whether defending the US Constitution against all enemies,
        [ foreign or domestic, requires you to follow Snowden's example.

    > It's the same kind of issue.  I don't think Emacs should run any Lisp
    > code when that happens -- it would make things hard to predict.

    Following that same reasoning, we shouldn't have jit-lock.
    And post-command-hook.

jit-lock is tolerable because it is used in a very narrow way, for
updating text properties.  If it were used more broadly, it would
be a disaster.

post-command-hook is also used in narrow ways, and it doesn't
cause anything strange to happen just because you move the mouse.

Timers need to be used in a clean way if they are not to
cause trouble.  In any case, switching windows does not cause
timers to do anything.

If I understand what mouse-autoselect-window does, it only causes
switching windows -- it does not run Lisp code.

    Yes, these things should be used with care, but that doesn't mean we
    shouldn't provide them, because they can be very useful.

What is a very useful application for running code when the mouse
moves out of the Emacs frame?

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.